@echo off
if x%1==xfast goto fast
if x%1==xsafe goto safe
if x%1==xverysafe goto verysafe
if x%1==xfastvid goto fastvid
if x%1==xfastsnd goto fastsnd
if x%1==xmax goto max

echo -------------------------------------------------------------------
echo Options for running Hexen 2:
echo  h2b max:      all features on, but doesn't work on all systems
echo  h2b fast:     maximum speed, but doesn't work on all systems
echo  h2b fastvid:  maximum video speed, but safer, probably slower sound
echo  h2b fastsnd:  maximum sound speed, but safer, probably slower video
echo  h2b safe:     very likely to run, but may be slower
echo  h2b verysafe: almost sure to run, but probably slower, and no sound
echo -------------------------------------------------------------------
goto done

:max
h2 -dinput %2 %3 %4 %5 %6 %7 %8 %9
goto done

:fast
h2 %2 %3 %4 %5 %6 %7 %8 %9
goto done

:fastvid
h2 -wavonly %2 %3 %4 %5 %6 %7 %8 %9
goto done

:fastsnd
h2 -nodirectdraw -nowindirect %2 %3 %4 %5 %6 %7 %8 %9
goto done

:safe
h2 -nodirectdraw -nowindirect -wavonly %2 %3 %4 %5 %6 %7 %8 %9
goto done

:verysafe
h2 -dibonly -nosound -nojoy %2 %3 %4 %5 %6 %7 %8 %9
:done
